### Method

# EDataServer NamedParameters equal

since: 3.46

#### Declaration [src]

    gboolean
    e_named_parameters_equal (
      const ENamedParameters* parameters1,
      const ENamedParameters* parameters2
    )

#### Description [src]

Compares the two parameters objects and returns whether they equal. Note a `NULL` and empty parameters are also considered equal.

Available since: 3.46

#### Parameters

`parameters2`

  Type: `ENamedParameters`

  The second `ENamedParameters`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the two parameters are equal.